#!/bin/sh

VERSION="0.2.0"
VIDEO_DRIVER="xv"
AUDIO_DRIVER="oss"

##
## this commands select french language, then start playback in MI2 ;-)
##
#COMMANDS="set interactive off; xine_init; xine_usec_sleep 500000; mmk add mrl dvd://; set audio volume 90; play; waitfor status PLAY; set video fullscreen; xine_usec_sleep 20000000; right; down; select; xine_usec_sleep 6000000; right; select; down; select; xine_usec_sleep 6000000; select"
#
COMMANDS="set interactive off; xine_init; xine_usec_sleep 500000; mmk add mrl dvd://; set audio volume 90; play; waitfor status PLAY; set video fullscreen"

start() {
    echo "  + Using video driver '$VIDEO_DRIVER'"
    echo "  + Using audio driver '$AUDIO_DRIVER'"
    echo "  + using commands '$COMMANDS'"
    echo 
    if [ "$VERBOSE" ]; then echo /usr/X11R6/bin/toxine -V $VIDEO_DRIVER -A $AUDIO_DRIVER -e "$COMMANDS"; fi; \
      /usr/X11R6/bin/toxine -V $VIDEO_DRIVER -A $AUDIO_DRIVER -e "$COMMANDS"
}

usage() {
    banner
    echo "Usage: $0 [options]"
    echo "  -V, --video-driver <video driver>:  Use <video driver>"
    echo "  -A, --audio-driver <audio driver>:  Use <audio driver>"
    echo "  -e, --execute \"commands\"         :  Execute <commands> after playback startup"
    echo "  -h, --help                       :  This help text"
    echo
}

banner() {
    echo
    echo "Toxine's DVD player script - v$VERSION - (c) 2002 Daniel Caujolle-Bert."
    echo
}

main() {
    banner
    start
}

##
while [ "$1" ] ; do
    case "$1" in
	"-h"|"--help")
	    shift
	    usage
	    exit 0
	    ;;
	"-V"|"--video-driver") 
	    shift
	    VIDEO_DRIVER="$1"
	    shift
	    ;;
	"-A"|"--audio-driver")
	    shift
	    AUDIO_DRIVER="$1"
	    shift
	    ;;
	"-e"|"--execute")
	    shift
	    COMMANDS="$COMMANDS; $1"
	    shift
	    ;;
	*)
	    shift
	    ;;
    esac
done
	
main




